Subject: Morels - Southwest PA

From: [email-masked] (Mike Hoffelder)
Date: 15 May 1995 04:50:25 -0700

I will admit I was a little nervous this morel season.  After recently 
moving, this is the first spring that I will not be able to for morels
on my family's farm in Indiana.  This is after spending 20 consecutive 
years finding and mapping the morel patches there.  (It is very 
demorelizing to has to give your secret locations to your brother.)

But oh what joy to find those beauties in a new spot! 
In my neighbor's woods I found about a hundred big yellow ones, 
many about eight inches tall.  I also found quite a few of the smallest 
yellow morels I have ever seen - less than two inches.  
M. deliciosa I suppose, but I had never seen those in Indiana.

The season is probably about over here so good luck to everybody farther North.